/*
 * server.c
 */

#include "inet.h"

main(argc, argv)
int argc;
char *argv[];
{
    int sockfd, bindno;
    struct sockaddr_in serv_addr, cli_addr;
    pname=argv[0];

    if((sockfd=socket(AF_INET, SOCK_DGRAM,0))<0) {
        printf("server: errno = %d\n", errno);
        printf("server: can't open datagram socket\n");
        exit(1);
    }

    printf("server: sockfd = %d\n", sockfd);
    bzero((char *) &serv_addr, sizeof(serv_addr));
    serv_addr.sin_family = AF_INET;
    serv_addr.sin_addr.s_addr = htonl(INADDR_ANY);
    serv_addr.sin_port = htons(SERV_UDP_PORT);

    if ((bindno = bind(sockfd, (struct sockaddr *) &serv_addr, sizeof(serv_addr
))) < 0)
    {
        printf("server: errno = %d\n", errno);
        printf("server: can't bind local address\n");
        exit(2);
    }
    printf("server: bindno = %d\n", bindno);

    dg_echo(sockfd, (struct sockaddr *) &cli_addr, sizeof(cli_addr));
}

